# SNESSetMaxLinearSolveFailures

the number of failed linear solve attempts allowed before SNES returns with a diverged reason of SNES_DIVERGED_LINEAR_SOLVE

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSetMaxLinearSolveFailures(SNES snes, PetscInt maxFails)

Collective on SNES

### Input Parameters

| snes | - SNES context
| maxFails | - maximum allowed linear solve failures

Notes: By default this is 1; that is SNES returns on the first failed linear solve

### Keywords

SNES, nonlinear, set, maximum, unsuccessful, steps

### See Also

SNESGetLinearSolveFailures(), SNESGetMaxLinearSolveFailures()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages